Bug 1307053 - meaning of "host is accessable now on" message is not clear
meaning of "host is accessable now on" message is not clear
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: core (Show other bugs)
2
Unspecified Unspecified
unspecified Severity low
: ---
: 2
Assigned To: Nishanth Thomas
Martin Kudlej
:
: 1303867 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 10:04 EST by Martin Bukatovic
Modified: 2018-02-15 10:05 EST (History)
3 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of an event list (47.16 KB, image/png)
2016-02-12 10:04 EST, Martin Bukatovic
no flags Details

  None (edit)
Description Martin Bukatovic 2016-02-12 10:04:30 EST
Created attachment 1123532 [details]
screenshot of an event list

Description of problem
======================

When I run Accept Node task for all nodes, event "hostname is accessable now on"
is shown in tasks popup list with a warning icon next to the message.

There are few problems with this:

 * typo: accessable -> accessible
 * wrong grammar: "now on" -> "from now on"
 * wrong icon: adding a new node should not produce a warning event unless something went wrong

This all combined may lead to a misunderstanding of this event.

Version-Release number of selected component
============================================

# rpm -qa 'rhscon*'
rhscon-ceph-0.0.6-2.el7.x86_64
rhscon-ui-0.0.11-1.el7.noarch
rhscon-core-0.0.8-2.el7.x86_64

Steps to Reproduce
==================

1. Install skyring on server and prepare few hosts for cluster setup
2. Accept all nodes

Actual results
==============

A warning info is displayed next the the message "host is accessable now on"

Expected results
================

An info icon is displayed next the the message "host is accessible from now on"
Comment 1 Martin Bukatovic 2016-02-12 10:08:44 EST
This may be related to BZ 1301552.
Comment 2 Martin Bukatovic 2016-02-22 03:37:57 EST
*** Bug 1303867 has been marked as a duplicate of this bug. ***
Comment 5 Darshan 2016-05-05 05:20:04 EDT
Currently the behavior is as follows:

1. When a node is accepted you will see an event "
Node <node-name> accepted successfully" if accept was successful. This is followed by node initialization, if initialization also succeeds you will see one more event "Node <node-name> initialized successfully".

2. We will show only active alerts in the alert icon (bell shaped icon beside task popup list). By active alerts we mean events with severity other than info and that has not been dismissed by user or skyring.

3. Because of point 2, this event can be seen only in event listing page. And severity icon for this event will be INFO as pointed in the bug.
Comment 6 Martin Kudlej 2016-07-22 02:10:01 EDT
Tested with 
ceph-ansible-1.0.5-27.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.33-1.el7scon.x86_64
rhscon-core-0.0.34-1.el7scon.x86_64
rhscon-core-selinux-0.0.34-1.el7scon.noarch
rhscon-ui-0.0.48-1.el7scon.noarch
and it works. -->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.